{% extends 'Admin/admin.html.twig' %}

{% block stylesheets %}
    {# Any extra CSS for your page #}
{% endblock %}

{% block javascripts %}
    {# Any extra JS for your page #}
{% endblock %}

{% block title %}
- Admin News
{% endblock %}

{% block adminContent %}
    <table id="aTable">
        <tbody>
        <tr>
            <td class="mainBox">

            <h2>Edition de News</h2>
            {# <script type="text/javascript" src="/js/forum.js"></script> #}

            <form name="form" id="form" method="post" action="{{ newsToEdit is null ? path('adminCreateNews') : path('adminUpdateNews') }}">
                <fieldset>
                    <legend>Nouvelle news</legend>
                    <input name="newsId" type="hidden" value="{% if newsToEdit is not null %}{{ newsToEdit.id }}{% endif %}">
                    <table>
                        <tbody>
                        <tr>
                            <th>Titre : </th>
                            <td>
                                <input name="title" type="text" value="{% if newsToEdit is not null %}{{ newsToEdit.title }}{% endif %}">
                            </td>
                        </tr>
                        {# TODO
                        <tr>
                            <th>Style : </th><td>
                                <div class="designButtons">
                                    <span class="chibbiTittle">Style :</span><br>
                                    <input class="button smallButton" type="button" onclick="insertTag('[g]','[/g]');" value="G">
                                    <input class="button smallButton" type="button" onclick="insertTag('[s]','[/s]');" value="S">
                                    <input class="button smallButton" type="button" onclick="insertTag('[i]','[/i]');" value="I">
                                    <input class="button" type="button" onclick="insertTag('[cite]','[/cite]');" value="Cite">
                                    <input class="button" type="button" onclick="insertUrl();" value="Lien">
                                    <input class="button" type="button" onclick="insertTag('[carte]','[/carte]');" value="Carte">
                                </div>
                            </td>
                        </tr>
                        #}
                        <tr>
                            <th colspan="2">
                                <textarea cols="106" name="content" rows="10">{% if newsToEdit is not null %}{{ newsToEdit.content }}{% endif %}</textarea>
                            </th>
                        </tr>
                        <tr>
                            <th colspan="2">
                                {% set allPictures = ["dinoz", "maj1", "maj2", "maj3", "maj4", "more0", "more1", "more2", "more3", "more4" ] %}
                                {% set prefix = 'localhost' in app.request.uri ? "http://" : "https://" %}
                                <select name="img" onchange="document.getElementById('showImg').src = '{{ prefix }}' + location.host + '/img/gfx/news/' + this.value + '.jpg';">
                                    {% for picture in allPictures %}
                                        <option {% if newsToEdit is not null and newsToEdit.picture == picture %}selected="selected"{% endif %} value="{{ picture }}">{{ picture }}.png</option>
                                    {% endfor %}
                                </select>
                                {% if newsToEdit is null %}
                                    <img id="showImg" src="{{ asset('img/gfx/news/dinoz.jpg') }}">
                                {% else %}
                                    <img id="showImg" src="{{ asset('img/gfx/news/' ~ newsToEdit.picture ~ '.jpg') }}">
                                {% endif %}
                            </th>
                        </tr>
                        </tbody>
                    </table>
                </fieldset>
                <input class="button" name="submit" type="submit" value="Enregistrer">
            </form>

            <p>&nbsp;</p>
            <h2>Liste des News</h2>

            {% for post in news %}
                {% set id = post.id %}
                <a href="{{ path('adminNewsToggle', {'newsId' : id}) }}" class="adminUnvalid"> [ {% if post.published %} désactiver {% else %} activer {% endif %} ] </a>
                <a href="{{ path('adminEditNews', {'newsId' : id}) }}">[ Modifier ]</a>
                <a href="{{ path('adminNewsDelete', {'newsId' : id}) }}" onclick="return confirm('Supprimer cette news ? ');">[ Effacer ]</a>
                {% include 'Components/NewsComponent.html.twig' with { 'post' : post } %}
            {% else %}
                <p>Rien n'a été publié pour l'instant...</p>
            {% endfor %}
        </tr>
        </tbody>
    </table>
{% endblock %}